Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.inject.rebind.adapter
Class AnnotatedElementBuilderAdapter

    java.lang.Object
      com.google.gwt.inject.rebind.adapter.AnnotatedElementBuilderAdapter

All Implemented Interfaces:
  GinAnnotatedElementBuilder

    public class AnnotatedElementBuilderAdapter

extends java.lang.Object
implements GinAnnotatedElementBuilder

Method Summary
`void` | `annotatedWith(java.lang.annotation.Annotation annotation)` See the EDSL examples at `GinBinder`.
`void` | `annotatedWith(java.lang.Class<? extends java.lang.annotation.Annotation> annotationType)` See the EDSL examples at `GinBinder`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### annotatedWith

    public void annotatedWith(java.lang.Class<? extends java.lang.annotation.Annotation> annotationType)

  Description copied from interface: `GinAnnotatedElementBuilder`
  See the EDSL examples at `GinBinder`.

  Specified by:
    `annotatedWith` in interface `GinAnnotatedElementBuilder`

### annotatedWith

    public void annotatedWith(java.lang.annotation.Annotation annotation)

  Description copied from interface: `GinAnnotatedElementBuilder`
  See the EDSL examples at `GinBinder`.

  Specified by:
    `annotatedWith` in interface `GinAnnotatedElementBuilder`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD